Subject: bug#11236: 24.1.50; Maximum buffer size exceeded

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Apr 2012 19:54:16 +0300

> Cc: [email-masked]
> From: Peter Dyballa <[email-masked]>
> Date: Mon, 16 Apr 2012 16:59:47 +0200
> 
> 
> Am 14.04.2012 um 13:31 schrieb Eli Zaretskii:
> 
> > It could be a compiler bug, but to
> > make sure it isn't an Emacs bug, I would suggest to look at the
> > machine code emitted by the compiler in an optimized build at the
> > point of the fatal error.
> 
> I decided to perform something I understand: I modified the function  
> buffer_overflow () to report where it was called. It happens in src/ 
> fileio.c on line #3424, so buf_growth_max < likely_growth is true.

Can you show all the other variables involved in the calculations
leading to line 3424 of fileio.c?